STG-SERIES(1)

NAME
stg-series - Print the patch series

SYNOPSIS

stg series [options] [--] [<patch-range>]

DESCRIPTION
Show all the patches in the series, or just those in the given range, ordered from top to bottom.

The applied patches are prefixed with a + (except the current patch, which is prefixed with a >), the unapplied patches with a -, and the hidden patches with a !.

Empty patches are prefixed with a 0.

OPTIONS

-b BRANCH, --branch BRANCH
    Use BRANCH instead of the default branch.

-a, --all
    Show all patches, including the hidden ones.

-A, --applied
    Show the applied patches only.

-U, --unapplied
    Show the unapplied patches only.

-H, --hidden
    Show the hidden patches only.

-m BRANCH, --missing BRANCH
    Show patches in BRANCH missing in current.

-c, --count
    Print the number of patches in the series.

-d, --description
    Show a short description for each patch.

--author
    Show the author name for each patch.

-e, --empty
    Before the +, >, -, and ! prefixes, print a column that contains either 0 (for empty patches) or a space (for non-empty patches).

--showbranch
    Append the branch name to the listed patches.

--noprefix
    Do not show the patch status prefix.

-s, --short
    List just the patches around the topmost patch.

STGIT
Part of the StGit suite - see stg(1)